org.eclipse.net4j.util.io

## Class FileLock

- java.lang.Object
- - org.eclipse.net4j.util.io.FileLock

-     public abstract class FileLock
      extends Object

  Since:
    3.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileLock` | `forRead(File file)`
    `static FileLock` | `forWrite(File file)`
    `File` | `getLockFile()`
    `void` | `release()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLockFile

          public final File getLockFile()

    - #### release

          public void release()

    - #### forRead

          public static FileLock forRead(File file)

    - #### forWrite

          public static FileLock forWrite(File file)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html